Loading...
Searching...
No Matches
Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction Class Reference

`#include <dune/functions/gridfunctions/discreteglobalbasisfunction.hh>`

Inheritance diagram for Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction:

## Public Types

using | GlobalFunction = DiscreteGlobalBasisFunction
using | Domain = typename LocalBase::Domain
using | Range = GlobalFunction::Range
using | Element = typename LocalBase::Element

## Public Member Functions

| LocalFunction (const DiscreteGlobalBasisFunction &globalFunction)
| Create a local-function from the associated grid-function.
Range | operator() (const Domain &x) const
| Evaluate this local-function in coordinates x in the bound element.
void | bind (const Element &element)
| Bind LocalFunction to grid element.
void | unbind ()
| Unbind the local-function.
bool | bound () const
| Check if LocalFunction is already bound to an element.
const Element & | localContext () const
| Return the element the local-function is bound to.

## Protected Member Functions

template<class To, class From>
void | assignWith (To &to, const From &from) const
template<class Node, class TreePath, class Range>
decltype(auto) | nodeToRangeEntry (const Node &node, const TreePath &treePath, Range &y) const

## Protected Attributes

std::shared_ptr< const Data > | data_
LocalView | localView_
std::vector< Coefficient > | localDoFs_

## Friends

DiscreteGlobalBasisFunctionDerivative< DiscreteGlobalBasisFunction >::LocalFunction | derivative (const LocalFunction &lf)
| Local function of the derivative.

## Member Typedef Documentation

## Domain

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

using Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::Domain = typename LocalBase::Domain

## Element

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

using Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::Element = typename LocalBase::Element

## GlobalFunction

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

using Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::GlobalFunction = DiscreteGlobalBasisFunction

## Range

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

using Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::Range = GlobalFunction::Range

## Constructor & Destructor Documentation

## LocalFunction()

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::LocalFunction | ( | const DiscreteGlobalBasisFunction & | globalFunction | ) |

inline

Create a local-function from the associated grid-function.

## Member Function Documentation

## assignWith()

template<typename B, typename V, typename NTRE>
template<class To, class From>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::assignWith | ( | To & | to,
|  | const From & | from ) const

inline protected inherited

## bind()

template<typename B, typename V, typename NTRE>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::bind | ( | const Element & | element | ) |

inline inherited

Bind LocalFunction to grid element.

You must call this method before operator() and after changes to the coefficient vector.

## bound()

template<typename B, typename V, typename NTRE>

bool Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::bound | ( |  | ) | const

inline inherited

Check if LocalFunction is already bound to an element.

## localContext()

template<typename B, typename V, typename NTRE>

const Element & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localContext | ( |  | ) | const

inline inherited

Return the element the local-function is bound to.

## nodeToRangeEntry()

template<typename B, typename V, typename NTRE>
template<class Node, class TreePath, class Range>

decltype(auto) Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::nodeToRangeEntry | ( | const Node & | node,
|  | const TreePath & | treePath,
|  | Range & | y ) const

inline protected inherited

## operator()()

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

Range Dune::Functions::DiscreteGlobalBasisFunction< B, V, NTRE, R >::LocalFunction::operator() | ( | const Domain & | x | ) | const

inline

Evaluate this local-function in coordinates x in the bound element.

The result of this method is undefined if you did not call bind() beforehand or changed the coefficient vector after the last call to bind(). In the latter case you have to call bind() again in order to make operator() usable.

## unbind()

template<typename B, typename V, typename NTRE>

void Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::unbind | ( |  | ) |

inline inherited

Unbind the local-function.

## Friends And Related Symbol Documentation

## derivative

template<typename B, typename V, typename NTRE = HierarchicNodeToRangeMap, typename R = typename V::value_type>

DiscreteGlobalBasisFunctionDerivative< DiscreteGlobalBasisFunction >::LocalFunction derivative | ( | const LocalFunction & | lf | ) |

friend

Local function of the derivative.

## Member Data Documentation

## data_

template<typename B, typename V, typename NTRE>

std::shared_ptr<const Data> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::data_

protected inherited

## localDoFs_

template<typename B, typename V, typename NTRE>

std::vector<Coefficient> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localDoFs_

protected inherited

## localView_

template<typename B, typename V, typename NTRE>

LocalView Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalFunctionBase::localView_

protected inherited

The documentation for this class was generated from the following file:

- discreteglobalbasisfunction.hh